package com.biganto.visual.roompark.data.data_provider

import android.app.Application
import com.biganto.visual.roompark.data.repository.api.IRoomParkApi
import com.biganto.visual.roompark.data.repository.db.IDb
import com.biganto.visual.roompark.data.repository.file.FileModule
import com.biganto.visual.roompark.domain.contract.FilesContract
import javax.inject.Inject
import kotlin.reflect.full.primaryConstructor

/**
 * Created by Vladislav Bogdashkin on 29.10.2019.
 */

//@Singleton
class FilesContractModule @Inject constructor(
    private val files: FileModule,
    private val api: IRoomParkApi,
    private val db: IDb,
    private val context: Application
): FilesContract {


    inline fun <reified T:FileModule.FileDirectory> getDirectory(): T? =
        T::class.primaryConstructor?.call()

    fun getPlansSize() = getDirectorySize<>()

}

